#ifndef LOG_H__
#define LOG_H__

#include <stdio.h>

/** @brief LOG() is a macro for printf. */
#define LOG(...)            printf(__VA_ARGS__)

#ifdef DEBUG

/** @brief() LOG_DEBUG is a macro for printf when DEBUG is defined. */
#define LOG_DEBUG(...)      printf(__VA_ARGS__)

#else

/** @brief LOG_DEBUG is an empty macro when DEBUG is not defined. */
#define LOG_DEBUG(...)

#endif // DEBUG


#endif // LOG_H__
