#ifndef RET_CODE_H__
#define RET_CODE_H__

/** @brief Definition of error codes. */
typedef enum
{
    RET_SUCCESS                  = 0,
    RET_ERROR_INVALID_STATE      = 1,
    RET_ERROR_NO_MEM             = 2,
    RET_ERROR_OTHER              = 3,
    RET_ERROR_INVALID_LENGTH     = 4,
    RET_ERROR_NOT_IMPLEMENTED    = 5,
    RET_ERROR_NULL               = 6,
    RET_ERROR_INVALID_PARAMETER  = 7,
    RET_ERROR_INVALID_CONFIG     = 8,
    RET_ERROR_BUSY               = 9,
    RET_ERROR_NOT_INITIALIZED    = 10,
} ret_code_t;


#endif // RET_CODE_H__
